﻿
html, body {
    height: 100%;
    overflow: hidden;
}

a:hover {
    color: inherit
}

.mud-layout {
    display: flex;
}

aside.mud-drawer {
    overflow: hidden;
}

    aside.mud-drawer > .mud-drawer-content > .mud-toolbar {
        flex: none;
    }


    aside.mud-drawer > .mud-drawer-content > .mud-navmenu {
        overflow: auto;
    }

.mud-main-content {
    overflow: auto;
    padding-top: 0;
    margin-top: calc(var(--mud-appbar-height) - var(--mud-appbar-height)/8);
    /*margin-bottom: calc(var(--mud-appbar-height) - var(--mud-appbar-height)/8);*/ /* Se footer presente */
    display: flex;
    flex: 1;
    flex-direction: column;
}

@media(min-width:600px) {
    .mud-main-content {
        margin-top: var(--mud-appbar-height);
        /*margin-bottom: var(--mud-appbar-height);*/ /* Se footer presente */
    }
}

.mud-appbar-dense ~ .mud-main-content {
    margin-top: calc(var(--mud-appbar-height) - var(--mud-appbar-height)/4);
    /*margin-bottom: calc(var(--mud-appbar-height) - var(--mud-appbar-height)/4);*/ /* Se footer presente */
}

.mud-container {
   display: flex;
   overflow: hidden;
   flex: 1;
   flex-direction: column;
}